package main

import "fmt"

func main() {

	//strings
	var nameOne string = "mario"
	var nameTwo = "luigi"
	var nameThree string

	fmt.Println(nameOne)
	fmt.Println(nameTwo)
	fmt.Println(nameThree)

	nameOne = "peach"
	nameThree = "bowser"

	fmt.Println(nameOne)
	fmt.Println(nameTwo)
	fmt.Println(nameThree)

	nameFour := "toad"

	fmt.Println(nameFour)

	// Ints
	ageOne := 20
	ageTwo := 30
	ageThree := 40

	fmt.Println(ageOne, ageThree, ageTwo)

	//bits and memory

	var num1 int8 = 25
	var num2 int8 = -128
	var numThree uint8 = 255

	var score1 float32 = 25.98
	var score2 float64 = 67395734579345934859384753.2349737649723649
	score3 := 1.5

	fmt.Println(num1, num2, numThree)
	fmt.Println(score1, score2, score3)

}
